<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InfringementCodeSelection StructType
 * @subpackage Structs
 */
class InfringementCodeSelection extends AbstractStructBase
{
    /**
     * The Code
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfString
     */
    public $Code;
    /**
     * Constructor method for InfringementCodeSelection
     * @uses InfringementCodeSelection::setCode()
     * @param \ArrayType\ArrayOfString $code
     */
    public function __construct(\ArrayType\ArrayOfString $code = null)
    {
        $this
            ->setCode($code);
    }
    /**
     * Get Code value
     * @return \ArrayType\ArrayOfString|null
     */
    public function getCode()
    {
        return $this->Code;
    }
    /**
     * Set Code value
     * @param \ArrayType\ArrayOfString $code
     * @return \StructType\InfringementCodeSelection
     */
    public function setCode(\ArrayType\ArrayOfString $code = null)
    {
        $this->Code = $code;
        return $this;
    }
}
